using System;
using Dalamud.Configuration;
using Dalamud.Plugin;

namespace OmicronMountMusicFixer;

[Serializable]
public class Configuration : IPluginConfiguration
{
	[NonSerialized]
	private IDalamudPluginInterface? pluginInterface;

	public int Version { get; set; }

	public bool Enabled { get; set; } = true;

	public int RightClickDelay { get; set; } = 250;

	public void Initialize(IDalamudPluginInterface pluginInterface)
	{
		this.pluginInterface = pluginInterface;
	}

	public void Save()
	{
		pluginInterface.SavePluginConfig((IPluginConfiguration)(object)this);
	}
}
